Skip to main content
PUT
Update insight

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:

Headers

Accept-Version
string
default:v20260929
required

MX Platform API version.

Example:

"v20260929"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

insight_guid
string
required

The unique identifier for the insight. Defined by MX.

Body

application/json

The insight to be updated (None of these parameters are required, but the user object cannot be empty.)

insight
object
required

Response

200 - application/json

OK

active_at
string | null

The date and time when the insight was activated, represented in ISO 8601 format with a timestamp.

Example:

"2022-01-07T12:00:00Z"

client_guid
string

The unique identifier for the client associated with the insight. Defined by MX.

Example:

"CLT-abcd-1234"

created_at
string | null

The date and time the insight was created, represented in ISO 8601 format with a timestamp.

Example:

"2025-02-13T18:08:00+00:00"

cta_clicked_at
string | null

The date and time when a call-to-action was clicked, represented in ISO 8601 format with a timestamp.

Example:

"2022-01-13T18:13:51Z"

description
string | null

The human-readable information being delivered to the end user.

Example:

"Gold's Gym charged you $36.71 more this month than normal. Did you upgrade your service?"

guid
string | null

The unique identifier for the insight. Defined by MX.

Example:

"BET-abcd-1234"

has_associated_accounts
boolean | null

Indicates whether there are accounts associated with the insight.

Example:

false

has_associated_categories
boolean | null

Indicates whether there are categories associated with the insight.

Example:

false

has_associated_merchants
boolean | null

Indicates whether there are merchants associated with the insight.

Example:

false

has_associated_repeating_transactions
boolean | null

Indicates whether there are repeating transactions associated with the insight.

Example:

false

has_associated_scheduled_payments
boolean | null

Indicates whether there are scheduled payments associated with the insight.

Example:

false

has_associated_transactions
boolean | null

Indicates whether there are transactions associated with the insight.

Example:

true

has_been_displayed
boolean | null

Indicates whether the insight has been shown to the end user.

Example:

true

is_dismissed
boolean | null

Indicates whether the insight has been dismissed by the user.

Example:

false

micro_call_to_action
string | null

A short call-to-action text for prompting user engagement.

Example:

"Learn more"

micro_description
string | null

A shorter version (300 characters or less) of description. This is the insight's description we display to the end user in the Micro Insights Widget

Example:

"Netflix charged you $5.00 more this month than normal."

micro_title
string | null

A shorter version (60 characters or less) of title. This is the insight's title we display to the end user in the Micro Insights Widget. For example, Price Increase or Paycheck Deposit.

Example:

"Price Increase"

template
string | null

A short label for the type of insight being delivered, for example, SubscriptionPriceIncrease or MonthlyCategoryTotal.

Example:

"SubscriptionPriceIncrease"

title
string | null

The title for the specific insight, for example, Price Increase or Paycheck Deposit.

Example:

"Price increase"

updated_at
string | null

The date and time the resource was last updated in ISO 8601 format with a timestamp.

For categories, this field will always be null when is_default is true.

Example:

"2025-02-13T18:09:00+00:00"

user_guid
string

The unique identifier for the user. Defined by MX.

Example:

"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

user_id
string

The unique partner-defined identifier for the user.

Example:

"u-1234"